# Generated by Django 4.2.6 on 2023-10-25 11:57

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('planning', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='critere',
            name='formules',
        ),
        migrations.CreateModel(
            name='MatierePremiere',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code_mp', models.CharField(max_length=255, unique=True)),
                ('designation', models.CharField(max_length=255)),
                ('criteres', models.ManyToManyField(related_name='matieres_premieres', to='planning.critere')),
                ('formules', models.ManyToManyField(related_name='matieres_premieres', to='planning.formule')),
            ],
        ),
    ]
